# Infineon Gateway

## [Infineon + RT-Thread IoT DEMO](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/Infineon/Infineon-gateway-demo?id=infineon-rt-thread-%e7%89%a9%e8%81%94%e7%bd%91-demo) <a href="#infineonrtthread-wu-lian-wang-demo" id="infineonrtthread-wu-lian-wang-demo"></a>

### [Introduction](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/Infineon/Infineon-gateway-demo?id=%e7%ae%80%e4%bb%8b) <a href="#jian-jie" id="jian-jie"></a>

This is an IoT DEMO based on `CY8CPROTO-062-4343W`development board + implementation.`RT-Thread`

This article will introduce how to build an IoT demo from scratch step by step.

The following figure is the overall design block diagram, using `RW007`for network communication, using `MQTT`the protocol to connect to the One-Net IoT platform. Add the required software packages, components and other middleware to the main control chip to quickly build a device cloud demo.

### [Actual operation effect](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/Infineon/Infineon-gateway-demo?id=%e5%ae%9e%e9%99%85%e8%bf%90%e8%a1%8c%e6%95%88%e6%9e%9c) <a href="#shi-ji-yun-xing-xiao-guo" id="shi-ji-yun-xing-xiao-guo"></a>

1\. Enter the command in msh `onenet_mqtt_demo_start 【WI-Fi 名称】 【WI-Fi 密码】`to create and start the demo thread

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/demo.png)

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/wifi_info.png)

2\. View the real-time refreshed data on the device debugging page of the cloud platform.

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/onenet01.png)

3\. Enter [the visualization website](https://open.iot.10086.cn/iotbox/appsquare/appview?openid=edfdb062942604d9b1de5674d7433497) to view/send data uplink and downlink

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/onenet-demo.png)

### [Preparation](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/Infineon/Infineon-gateway-demo?id=%e5%87%86%e5%a4%87%e5%b7%a5%e4%bd%9c) <a href="#zhun-bei-gong-zuo" id="zhun-bei-gong-zuo"></a>

* [RT-Thread studio v2.2.5](https://download-sh-cmcc.rt-thread.org:9151/www/studio/download/RT-Thread%20Studio-v2.2.5-setup-x86_64_202208011830.exe)
* OneNET: [China Mobile's open IoT platform](https://open.iot.10086.cn/)
* [CY8CPROTO-062-4343W Development Board](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CPROTO-062-4343W/quick-start)
* USB-TTL: Connect to UART5 (TX: P5\_1; RX: P5\_0) **baud rate 115200**
* WiFi network module: [RW007](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/application-note/packages/rw007_module_using/an0034-rw007-module-using?id=rw007)

![Physical Connections](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/rw007.png)

The corresponding relationship table between each IO interface and function:

| CY8CPROTO-062-4343W Pin Name |  Function |
| :--------------------------: | :-------: |
|             P6\_2            | BOOT0/CLK |
|             P6\_1            |    MISO   |
|             P6\_0            |    MOSI   |
|            P12\_0            |  BOOT1/CS |
|             P5\_7            |  INT/BUSY |
|             P6\_5            |   RESET   |

### [Implementation process](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/Infineon/Infineon-gateway-demo?id=%e5%ae%9e%e7%8e%b0%e8%bf%87%e7%a8%8b) <a href="#shi-xian-guo-cheng" id="shi-xian-guo-cheng"></a>

1. Open RT-Thread studio and import the development board sample project: Click the upper left corner of Studio`文件—>导入—>RT-Thread Studio项目到工作空间中`

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/studio1.png)

2. Select the root directory of this sample project to import

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/studio2.png)

3. Enter `RT-Studio` the SDK manager and download the Infineon `OpenOCD`resource package.

   ![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/openocd01.png)
4. Right-click the project and click`同步 scons 配置至项目`

   ![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/sync_proj.png)
5. Compile, download, and verify the running results

* Click the Build option in the upper left corner of the IDE to compile the project.

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/studio3-build.png)

* When the compilation is complete without error warnings, click `Debug`or `Download`to debug/download.

  Note: If the serial terminal does not display any information after clicking Download and the download is successful, please manually press the reset button to restart the system.

  ![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/studio4-download.png)
* Check system operation status

> `help`Enter commands such as , `ps`, `free`and so on in the serial terminal `list_device`to view the system operation status

6. Lianyun Configuration

* Create a project on [the cloud platform . After the creation is complete, click the console to enter the configuration](https://open.iot.10086.cn/)
* Click `全部产品服务—>多协议接入`to enter the configuration interface

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/onenet03.png)

* Add products

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/onenet04.png)

* Enter product information

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/onenet05.png)

* Add a device

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/onenet06.png)

* Enter device information

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/onenet07.png)

* Enter `RT-Thread Studio`, double-click under this project `RT-Thread Settings`to enter the project configuration interface

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/studio4.png)

* Compare `OneNet`the information and fill it into the configuration options

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/onenet08.png)

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/onenet09.png)

![](https://www.rt-thread.org/document/site/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/figures/studio5.png)

* Compile, download, and verify the data reporting and sending functions of the IOT gateway.

### [More information](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/open-projects-design/Infineon/Infineon-gateway-demo?id=%e6%9b%b4%e5%a4%9a%e8%b5%84%e6%96%99) <a href="#geng-duo-zi-liao" id="geng-duo-zi-liao"></a>

* [Development board official website homepage](https://www.infineon.com/cms/en/product/evaluation-boards/cy8cproto-062-4343w/)
* [Development Board Schematic](https://www.infineon.com/dgdl/Infineon-CY8CPROTO-062-4343W_Schematic-PCBDesignData-v01_00-EN.pdf?fileId=8ac78c8c7d0d8da4017d0f010c6d183a\&utm_source=cypress\&utm_medium=referral\&utm_campaign=202110_globe_en_all_integration-files)
* [Infineon Technologies Quick Start Guide](https://www.rt-thread.org/document/site/#/rt-thread-version/rt-thread-standard/tutorial/quick-start/CY8CKIT-062S2-43012/quick-start)
* [CY8CPROTO-062-4343W\_datasheet](https://www.infineon.com/dgdl/Infineon-PSOC_6_MCU_CY8C62X8_CY8C62XA-DataSheet-v17_00-EN.pdf?fileId=8ac78c8c7d0d8da4017d0ee7d03a70b1)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aic-eec.com/recommended_by_aic/rt-thread-university-program/demo/infineon-gateway.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
